## List the Files in a Directory/Folder

## Usage

    list.files(path, pattern=NULL, all.files=FALSE,
        full.names=FALSE)
    dir(path, pattern=NULL, all.files=FALSE,
        full.names=FALSE)

## Arguments

`path` | a vector of full path names.
`pattern` | an optional regular expression. Only file names which match the regular expression will be returned.
`all.files` | a logical value. If `FALSE`, only the names of visible files are returned. If `TRUE`, all file names will be returned.
`full.names` | a logical value. If `TRUE`, the directory path is prepended to the file names. If `FALSE`, only the file names are returned.

## Description

This function produces a list containing the names of files in the named directory. `dir` is an alias.

## Value

A character vector containing the names of the files in the specified directory, or `""` if there were no files. The files are sorted in alphabetical order, on the full path if

`full.names = TRUE` |

.

## Note

File naming conventions are very platform dependent.

The `pattern` argument will be ignored (with a warning) when R is compiled without a regular expressions library.

## Author(s)

Ross Ihaka

## Examples

    list.files(R.home())

[Package Contents]